%define upstream_name    Sys-MemInfo
%define upstream_version 0.99

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Memory information as Perl module
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
Sys::MemInfo return the total amount of free and used physical memory in
bytes in totalmem and freemem variables.

Total amount of free and user swap memory are also returned in totalswap
and freeswap variables.

This module has been tested on Linux 2.6.10, UnixWare 7.1.2, AIX5, OpenBSD
3.8, NetBSD 2.0.2, FreBSD 5.4, HPUX11, Solaris 9, Tru64 5.1, Irix 6.5, Mac
OS X 10.2 Darwin and Windows XP.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes
%{_mandir}/man3/*
%{perl_vendorarch}/*



%changelog
* Wed Nov 29 2023 tv <tv> 0.990.0-14.mga10
+ Revision: 2011125
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.990.0-13.mga9
+ Revision: 1862431
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.990.0-12.mga9
+ Revision: 1796076
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.990.0-11.mga9
+ Revision: 1727138
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.990.0-10.mga8
+ Revision: 1595277
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.990.0-9.mga8
+ Revision: 1530111
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.990.0-8.mga8
+ Revision: 1433913
- rebuild for perl 5.30

* Tue Mar 12 2019 tv <tv> 0.990.0-7.mga7
+ Revision: 1374815
- fix summary

* Fri Sep 21 2018 umeabot <umeabot> 0.990.0-6.mga7
+ Revision: 1293812
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.990.0-5.mga7
+ Revision: 1249887
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.990.0-4.mga7
+ Revision: 1166676
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.990.0-3.mga7
+ Revision: 1149932
- Rebuild for perl ABI changes

* Thu Aug 31 2017 pterjan <pterjan> 0.990.0-2.mga7
+ Revision: 1149447
- Rebuild for perl ABI changes

* Mon Jul 31 2017 sander85 <sander85> 0.990.0-1.mga7
+ Revision: 1133310
- update to 0.99

* Sat Jul 22 2017 neoclust <neoclust> 0.910.0-2.mga7
+ Revision: 1126732
- Rebuild against new Perl 5.26

* Thu Aug 18 2016 shlomif <shlomif> 0.910.0-1.mga6
+ Revision: 1046924
- Importing based on cpan2pkg

